baseURL: https://c4c.techtransthai.org/
languageCode: en-us
title: Compute4Change
theme: "PaperMod"


enableRobotsTXT: true
buildDrafts: false
buildFuture: false
buildExpired: false

minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  title: Compute4Change
  description: "อัปเดตความเคลื่อนไหวสำคัญจากวงการ BOINC ในภาษาไทย อ่านง่าย เข้าใจได้ทันที"
  keywords: [Blog, BOINC, PaperMod, Compute4Change, TechTransThai]
  author: latenightdef
  # author: ["Me", "You"] # multiple authors
  images: ["<link or path of image for opengraph, twitter-cards>"]
  DateFormat: "January 2, 2006"
  defaultTheme: auto # dark, light
  disableThemeToggle: true

  ShowReadingTime: false
  ShowShareButtons: true
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: false
  ShowWordCount: false
  ShowRssButtonInSectionTermList: true
  UseHugoToc: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: false
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false

  assets:
    # disableHLJS: true # to disable highlight.js
    # disableFingerprinting: true
    favicon: "/favicon.ico"

  # home-info mode
  homeInfoParams:
    Title: "อัปเดตความเคลื่อนไหวสำคัญจากวงการ BOINC ในภาษาไทย อ่านง่าย เข้าใจได้ทันที"
    Content: >
        - และร่วมสนับสนุนงานวิจัยระดับโลกง่าย ๆ ด้วยอุปกรณ์ในมือคุณ

  socialIcons:
    - name: fediverse
      url: "https://a-social.techtransthai.org/@compute4change"
    - name: codeberg
      url: "https://codeberg.org/TechTransThai/compute4change-news"


  cover:
    hidden: true # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: true # hide on single page

  editPost:
    URL: "https://codeberg.org/TechTransThai/compute4change-news/src/branch/main/content"
    Text: "Suggest Changes" # edit text
    appendFilePath: true # to append file path to Edit link

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]
menu:
  main:
    - identifier: articles
      name: บทความ
      url: /posts/
      weight: 10
    - identifier: stats
      name: สถิติ
      url: /tags/
      weight: 20
    - identifier: project
      name: ค้นหาโปรเจกต์
      url: /followus/
      weight: 30
# Read: https://github.com/adityatelange/hugo-PaperMod/wiki/FAQs#using-hugos-syntax-highlighter-chroma
pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    # anchorLineNos: true
    # codeFences: true
    # guessSyntax: true
    # lineNos: true
    # style: monokai
